package com.pcloud.book.cultivate.dao.impl;

import com.pcloud.book.cultivate.dao.CultivateRobotClassifyDao;
import com.pcloud.book.cultivate.entity.CultivateRobotClassify;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component("cultivateRobotClassifyDao")
public class CultivateRobotClassifyDaoImpl extends BaseDaoImpl<CultivateRobotClassify> implements CultivateRobotClassifyDao {
    @Override
    public CultivateRobotClassify getByCondition(Long wechatUserId, Long cultivateId, Long robotClassifyId) {
        Map<String,Object> map=new HashMap<>();
        map.put("wechatUserId",wechatUserId);
        map.put("cultivateId",cultivateId);
        map.put("robotClassifyId",robotClassifyId);
        return super.getSqlSession().selectOne(getStatement("getByCondition"), map);
    }
}
